For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
      • POSTCreate Attribution Events
Get supportSee a Demo
API ReferenceAttributions

Create Attribution Events

POST
/issuers/:organizationId/attributions
POST
/issuers/:organizationId/attributions
$curl -X POST https://rewards-api.getkard.com/issuers/%7BorganizationId%7D/attributions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "type": "attribution",
> "attributes": {
> "userId": "123",
> "type": "OFFER",
> "subtype": "VIEW",
> "typeId": "60e4ba1da31c5a22a144c075",
> "medium": "SEARCH"
> }
> }
> ]
>}'
1"OK"

Call this endpoint to send all attribution events made by all enrolled users in your rewards program. These attribution events will be processed by the Kard system.
Required scopes: attributions.write

Was this page helpful?
Previous

List

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your organization ID, provided by Kard.

Headers

X-Kard-organizationIdstringOptional

Request

This endpoint expects an object.
datalist of objectsRequired
Data and attributes related to the attribution event.

Response

This endpoint returns a string.

Errors

400
Invalid Request
401
Unauthorized Error
500
Internal Server Error